import java.util.*;

/**
 * This class stores all visually perceived objects for further treatments.
 *
 * @author <a href="mailto:pficher@uni-mannheim.de">Patrick Ficher</a>
 * @version 0.1b
 */
 public class VisualObject extends Vector
{
	/**
	* <code>Timecyclus</code>the object was perceived in.
	*/
	private int timecyclus;
	/**
	* Name of the perceived Object.
	*/
	private String objectName;
	/**
	* The <code>teamName</code> the perceived Player belongs to.
	*/
	private String teamName;
	/**
	* The <code>uniformNr</code> the perceived Player has.
	*/
	private int uniformNr;
	/**
	* The boolean <code>goalie</code> is true if the player is a goalie.
	*/
	private boolean goalie;
	/**
	* The relative <code>angle</code> to the player who perceived it.
	*/
	private double angle;
	/**
	* The relative <code>distance</code> to the player who perceived it.
	*/
	private double distance;
	/**
	* ...
	*/
	private double distChange;
	/**
	* ...
	*/
	private double dirChange;
	/**
	* ...
	*/
	private double headFaceDir;
	/**
	* ...
	*/
	private double bodyFaceDir;
	
	public VisualObject( int timecyclus, String objectName, String teamName, int uniformNr, boolean goalie, double angle, double distance, double distChange, double dirChange, double headFaceDir, double bodyFaceDir)
	{
		this.timecyclus = timecyclus;
		this.objectName = objectName;
		this.teamName = teamName;
		this.uniformNr = uniformNr;
		this.goalie = goalie;
		this.angle = angle;
		this.distance = distance;
		this.dirChange = dirChange;
		this.distChange =   distChange;
		this.headFaceDir = headFaceDir;
		this.bodyFaceDir = bodyFaceDir;
	}
	/**
	* Those <code>public</code> methods only return the value of above's
	* attributes.
	*/
	public int timecyclus()
	{
		return timecyclus;
	}
	public String objectName()
	{
		return objectName;
	}
	public String teamName()
	{
		return teamName;
	}
	public int uniformNr()
	{
		return uniformNr;
	}
	public boolean goalie()
	{
		return goalie;
	}
	public double angle()
	{
		return angle;
	}
	public double distance()
	{
		return distance;
	}
	public double distChange()
	{
		return distChange;
	}
	public double dirChange()
	{
		return dirChange;
	}
	public double headFaceDir()
	{
		return headFaceDir;
	}
	public double bodyFaceDir()
	{
		return bodyFaceDir;
	}
}